%global momorel 1
%global md5sum_src0 590e51fbc9dfa7e33a337d36349cf040
Summary: MacOS X-style menu-based user-switching
Name: fast-user-switch-applet

Version: 2.14.2
Release: %{momorel}m
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.14/%{name}-%{version}.tar.bz2 %{md5sum_src0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gtk+-devel >= 2.8.17
BuildPrereq: gnome-panel-devel >= 2.14.0
BuildPrereq: libglade-devel >= 2.5.1
BuildPrereq: pango-devel >= 1.12.1
BuildPrereq: libXau-devel >= 1.0.0
BuildPrereq: libXmu-devel >= 1.0.0
BuildPrereq: libX11-devel >= 1.0.0
Requires: gdm

%description
The Fast User Switch Applet is an applet for the GNOME 2.10 panel
which allows for MacOS X-style menu-based user-switching.


%prep
%setup -q

%build
%configure \
    --disable-schemas-install \
    --disable-scrollkeeper \
    --with-users-admin="system-config-users" \
    --with-gdm-setup="gdmsetup"
%make

%install
rm -rf --preserve-root %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make DESTDIR=%{buildroot} install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    fast-user-switch-applet.schemas \
    ; do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done
scrollkeeper-update

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    fast-user-switch-applet.schemas \
    ; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done

%postun
/sbin/ldconfig
scrollkeeper-update

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING MAINTAINERS NEWS README TODO
%{_sysconfdir}/gconf/schemas/fast-user-switch-applet.schemas
%{_libdir}/bonobo/servers/GNOME_FastUserSwitchApplet.server
%{_libexecdir}/fast-user-switch-applet
%{_datadir}/fast-user-switch-applet/ui.glade
%{_datadir}/gnome-2.0/ui/GNOME_FastUserSwitchApplet.xml
%{_datadir}/gnome/help/fast-user-switch-applet
%{_datadir}/locale/*/*/*
%{_datadir}/omf/fast-user-switch-applet

%changelog
*Tue May 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- Initial Build
